Returns the current event base time

- « EventBase::getMethod

- EventBase::gotExit »

- PHP Manual
- EventBase
- Returns the current event base time

# EventBase::getTimeOfDayCached

(PECL event >= 1.2.6-beta)

EventBase::getTimeOfDayCached — Returns the current event base time

### Description

public EventBase::getTimeOfDayCached(): float

On success returns the current time(as returned by `gettimeofday()` ), looking at the cached value in base if possible, and calling `gettimeofday()` or `clock_gettime()` as appropriate if there is no cached time.

### Parameters

This function has no parameters.

### Return Values

Returns the current event base time. On failure returns `null`.